org.keycloak.representations.idm

## Class PartialImportRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.PartialImportRepresentation

-     public class PartialImportRepresentation
      extends Object

  Used for partial import of users, groups, clients, roles, and identity providers.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PartialImportRepresentation.Policy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ClientRepresentation>` | `clients`
    `protected List<GroupRepresentation>` | `groups`
    `protected List<IdentityProviderRepresentation>` | `identityProviders`
    `protected String` | `ifResourceExists`
    `protected PartialImportRepresentation.Policy` | `policy`
    `protected RolesRepresentation` | `roles`
    `protected List<UserRepresentation>` | `users`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialImportRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ClientRepresentation>` | `getClients()`
    `List<GroupRepresentation>` | `getGroups()`
    `List<IdentityProviderRepresentation>` | `getIdentityProviders()`
    `String` | `getIfResourceExists()`
    `PartialImportRepresentation.Policy` | `getPolicy()`
    `RolesRepresentation` | `getRoles()`
    `List<UserRepresentation>` | `getUsers()`
    `boolean` | `hasClientRoles()`
    `boolean` | `hasClients()`
    `boolean` | `hasGroups()`
    `boolean` | `hasIdps()`
    `boolean` | `hasRealmRoles()`
    `boolean` | `hasUsers()`
    `void` | `setClients(List<ClientRepresentation> clients)`
    `void` | `setGroups(List<GroupRepresentation> groups)`
    `void` | `setIdentityProviders(List<IdentityProviderRepresentation> identityProviders)`
    `void` | `setIfResourceExists(String ifResourceExists)`
    `void` | `setRoles(RolesRepresentation roles)`
    `void` | `setUsers(List<UserRepresentation> users)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### policy

          protected PartialImportRepresentation.Policy policy

    - #### ifResourceExists

          protected String ifResourceExists

    - #### users

          protected List<UserRepresentation> users

    - #### groups

          protected List<GroupRepresentation> groups

    - #### clients

          protected List<ClientRepresentation> clients

    - #### identityProviders

          protected List<IdentityProviderRepresentation> identityProviders

    - #### roles

          protected RolesRepresentation roles

  - ### Constructor Detail

    - #### PartialImportRepresentation

          public PartialImportRepresentation()

  - ### Method Detail

    - #### hasUsers

          public boolean hasUsers()

    - #### hasGroups

          public boolean hasGroups()

    - #### hasClients

          public boolean hasClients()

    - #### hasIdps

          public boolean hasIdps()

    - #### hasRealmRoles

          public boolean hasRealmRoles()

    - #### hasClientRoles

          public boolean hasClientRoles()

    - #### getIfResourceExists

          public String getIfResourceExists()

    - #### setIfResourceExists

          public void setIfResourceExists(String ifResourceExists)

    - #### getPolicy

          public PartialImportRepresentation.Policy getPolicy()

    - #### getUsers

          public List<UserRepresentation> getUsers()

    - #### setUsers

          public void setUsers(List<UserRepresentation> users)

    - #### getClients

          public List<ClientRepresentation> getClients()

    - #### getGroups

          public List<GroupRepresentation> getGroups()

    - #### setGroups

          public void setGroups(List<GroupRepresentation> groups)

    - #### setClients

          public void setClients(List<ClientRepresentation> clients)

    - #### getIdentityProviders

          public List<IdentityProviderRepresentation> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<IdentityProviderRepresentation> identityProviders)

    - #### getRoles

          public RolesRepresentation getRoles()

    - #### setRoles

          public void setRoles(RolesRepresentation roles)

Copyright © 2016 JBoss by Red Hat. All rights reserved.